For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
            • GETGet Abandoned Cart
              • GETGet Global Abandoned Cart Settings
              • PUTUpdate Global Abandoned Cart Settings
              • GETGet Channel Abandoned Cart Settings
              • PUTUpdate Channel Abandoned Cart Settings
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementAbandoned CartsAbandoned Carts Settings

Update Channel Abandoned Cart Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/abandoned-carts/settings/channels/:channel_id
PUT
/stores/:store_hash/v3/abandoned-carts/settings/channels/:channel_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "enable_notification": true,
4 "email_customer_until_cart_is_recovered": true,
5 "marketing_emails_require_customer_consent": true,
6 "email_merchant_when_cart_is_converted": true,
7 "email_merchant_when_cart_is_abandoned": true,
8 "merchant_email_address": "notifications@storeexample.com",
9 "merchant_abandoned_cart_email_frequency_type": "digest",
10 "merchant_abandoned_cart_digest_email_frequency": 5
11 },
12 "meta": {}
13}
Updates the per-channel overrides for the abandoned cart settings of a store. #### OAuth Scopes | UI Name | Permission | Parameter | |----------------------------------------------|------------|-----------------------------------------------| | Information & Settings | modify | `store_v2_information` |
Was this page helpful?
Previous

Get Channel Abandoned Cart Settings

Next

Carts

Built with

Updates the per-channel overrides for the abandoned cart settings of a store.

OAuth Scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | read-only | `store_v2_information_read_only`| | Information & Settings | modify | `store_v2_information` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idintegerRequired
The channel ID of the settings overrides
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
enable_notificationboolean or nullOptional
Indicates whether or not abandoned cart notification is on. If it is null, it means there is no override for the specified channel.
email_customer_until_cart_is_recoveredboolean or nullOptional
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered. If it is null, it means there is no override for the specified channel.
marketing_emails_require_customer_consentboolean or nullOptional
Indicates whether or not a customer should receive abandoned cart emails based on their consent. If it is null, it means there is no override for the specified channel. By default customers will not receive emails.
email_merchant_when_cart_is_convertedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order. If it is null, it means there is no override for the specified channel.
email_merchant_when_cart_is_abandonedboolean or nullOptional
Indicates whether or not a merchant should receive a notification email when a cart is abandoned. If it is null, it means there is no override for the specified channel.
merchant_email_addressstring or nullOptionalformat: "email"0-500 characters
The email address for receiving merchant notifications. If it is null, it means there is no override for the specified channel.
merchant_abandoned_cart_email_frequency_typeenum or nullOptional
Indicates whether to send an email for every abandoned cart or to send a digest email after X number of abandoned carts. If it is null, it means there is no override for the specified channel.
Allowed values:
merchant_abandoned_cart_digest_email_frequencyinteger or nullOptional2-1000
The number of abandoned carts to accumulate before a digest email is sent to a merchant. If it is null, it means there is no override for the specified channel.

Response

OK
dataobject
Represents all settings overrides related to the abandoned cart functionality of a store for a channel
metaobject
Response metadata

Errors

401
Unauthorized Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.